﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ModuleExam
{
    /// <summary>
    /// Логика взаимодействия для UserData.xaml
    /// </summary>
    public partial class UserData : Page
    {
        ExamEntities DB = new ExamEntities();
        List<users> users;
        List<usersmetrics> metrics;
        int UserId;

        public UserData(int id)
        {
            InitializeComponent();

            users  = DB.users.ToList();
            SelectUser.ItemsSource = users.Where(x=>x.posts.roles.id != 1).Select(x=>x.surname +" "+ x.firstname + " " + x.patronymic).ToList();
            UserId = id;
        }

        private void ChangeUser(object sender, SelectionChangedEventArgs e)
        {
            metrics = DB.usersmetrics.Where(x=>x.id_user == SelectUser.SelectedIndex+1).ToList();
            UserActivity.ItemsSource = metrics.ToList();
        }

        private void GoBack(object sender, RoutedEventArgs e)
        {
            MainFrame.MFrame.Navigate(new ActivityPage(UserId));
        }
    }
}
